diff --git a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
index 745e3cfe..fd497ea0 100644
--- a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
+++ b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
@@ -79,7 +79,7 @@ class PGUtilitiesMaintenanceFeatureTest(BaseFeatureTest):
 
     def runTest(self):
         self._open_maintenance_dialogue()
-        self.page.click_modal('OK')
+        self.page.click_modal('OK', True)
         self.page.wait_for_element_to_disappear(
             lambda driver: driver.find_element(
                 By.XPATH, NavMenuLocators.maintenance_operation))
diff --git a/web/pgadmin/tools/maintenance/static/js/maintenance.js b/web/pgadmin/tools/maintenance/static/js/maintenance.js
index 1a6305e6..b8bc28c1 100644
--- a/web/pgadmin/tools/maintenance/static/js/maintenance.js
+++ b/web/pgadmin/tools/maintenance/static/js/maintenance.js
@@ -99,6 +99,10 @@ define([
     setExtraParameters(treeInfo) {
       var extraData = {};
       extraData['database'] = treeInfo.database._label;
+      if(treeInfo?.schema) {
+        extraData['schema'] = treeInfo?.schema._label;
+        extraData['table'] = treeInfo?.table._label;
+      }
       extraData['save_btn_icon'] = 'done';
       return extraData;
     },
diff --git a/web/regression/feature_utils/pgadmin_page.py b/web/regression/feature_utils/pgadmin_page.py
index b514b366..befac9ef 100644
--- a/web/regression/feature_utils/pgadmin_page.py
+++ b/web/regression/feature_utils/pgadmin_page.py
@@ -88,7 +88,7 @@ class PgadminPage:
         # In case of react dialog we use different xpath
         if react_dialog:
             modal_button = self.find_by_xpath(
-                "//div[@class ='MuiDialogContent-root']"
+                "//button[contains(@class,'MuiButtonBase-root')]"
                 "//span[text()='%s']" % button_text)
         else:
             modal_button = self.find_by_xpath(
